Libusrp.so.0 error

trying install of git 3.3.1 on ubuntu lucid
lucid updated ok
got the git
put gnuradio in /usr/local assuggested
followed procedure
sudo make check works
formed the usrp group and i’m in it
lib.so.conf looks like this:

include /etc/ld.so.conf.d/*.conf
/usr/local/lib
/usr/lib

and ldconf done.

then run python test usrp_benchmark and:

ImportError: libusrp.so.0: cannot open shared object file: No such file
or directory

is the last line in the error chain.

there is indeed no file or directory libusrp.so.0 anywhere in the
filesystem.

there are two links called libusrp.so, presumably where they oughta be
in /usr/lib/usrp and in the gnuradio setup.
they point to the lib files for the git 3.3.1 as presumably they oughta.

also, the c++ examples in the build instructions give me:

/usr/bin/ld: cannot open output
file
/usr/local/gnuradio/usrp/host/apps/.libs/14759-lt-test_usrp_standard_rx:
Permission denied
collect2: ld returned 1 exit status

I tried copying the link files libusrp.so making link files libusrp.so.0
to the same file, that is the git library files; that did not work. I
uninstalled, made sure the .so.0 links were there and reinstalled; the
new link files had vanished. that seems to be a loop that can’t be
simply overcome.
as a complete noob, i’m lost (and typing one-handed) about the python
problem, and why don’t i have permission for the c++ examples, as they
don’t involve the python libs?

thanks for the help!
don

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs